MAX(3G)

NAME
max - return the greater of two values

DECLARATION

genType max(genType x, genType y);

genType max(genType x, float y);

genDType max(genDType x, genDType y);

genDType max(genDType x, double y);

genIType max(genIType x, genIType y);

genIType max(genIType x, int y);

genUType max(genUType x, genUType y);

genUType max(genUType x, uint y);

PARAMETERS

x
    Specify the first value to compare.

y
    Specify the second value to compare.

DESCRIPTION

max returns the maximum of the two parameters. It returns y if y is greater than x, otherwise it returns x.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
max (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
max (genIType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
max (genUType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
max (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

min(), abs()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group